package Model;

import java.util.concurrent.ConcurrentLinkedQueue;

public class ModelCommands {

    public static void exercise1(MyModel oModel) {
        ModelData oModelData = new ModelData(RandomTextCreator.lesson1(300));
        oModel.setModelData(oModelData);
        oModel.getModelQueueToMain().add(oModelData);
    }

    public static void exercise2(MyModel oModel) {
        ModelData oModelData = new ModelData(RandomTextCreator.lesson2(300));
        oModel.setModelData(oModelData);
        oModel.getModelQueueToMain().add(oModelData);
    }

    public static void exercise34(MyModel oModel) {
        ModelData oModelData = new ModelData(RandomTextCreator.createText(300));
        oModel.setModelData(oModelData);
        oModel.getModelQueueToMain().add(oModelData);
    } 
}